Quota - Create Or Update

Create or update the quota limit for the specified resource with the requested value. To update the quota, follow these steps:

  1. Use the GET operation for quotas and usages to determine how much quota remains for the specific resource and to calculate the new quota limit. These steps are detailed in this example.
  2. Use this PUT operation to update the quota limit. Please check the URI in location header for the detailed status of the request.
PUT https://management.azure.com/{scope}/providers/Microsoft.Quota/quotas/{resourceName}?api-version=2025-09-01

URI Parameters

Name In Required Type Description
resourceName
path True

string

Resource name for a given resource provider. For example:

  • SKU name for Microsoft.Compute
  • SKU or TotalLowPriorityCores for Microsoft.MachineLearningServices For Microsoft.Network PublicIPAddresses.
scope
path True

string

The fully qualified Azure Resource manager identifier of the resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties

QuotaProperties

Quota properties for the specified resource, based on the API called, Quotas or Usages.

Responses

Name Type Description
200 OK

CurrentQuotaLimitBase

The request has succeeded.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ExceptionResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Quotas_Put_Request_ForCompute
Quotas_PutRequest_ForNetwork
Quotas_PutRequest_ForNetwork_StandardSkuPublicIpAddressesResource
Quotas_Request_ForMachineLearningServices_LowPriorityResource

Quotas_Put_Request_ForCompute

Sample request

PUT https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Compute/locations/eastus/providers/Microsoft.Quota/quotas/standardFSv2Family?api-version=2025-09-01

{
  "properties": {
    "name": {
      "value": "standardFSv2Family"
    },
    "limit": {
      "limitObjectType": "LimitValue",
      "value": 10
    }
  }
}

Sample response

location: https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Compute/locations/eastus/providers/Microsoft.Quota/quotaRequests/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2023-02-01
{
  "name": "standardFSv2Family",
  "type": "Microsoft.Quota/quotas",
  "id": "/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Compute/locations/eastus/providers/Microsoft.Quota/quotas/standardFSv2Family",
  "properties": {
    "name": {
      "value": "standardFSv2Family"
    },
    "limit": {
      "limitObjectType": "LimitValue",
      "value": 10
    }
  }
}
Retry-After: 30
location: https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Compute/locations/eastus/providers/Microsoft.Quota/operationsStatus/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2023-02-01

Quotas_PutRequest_ForNetwork

Sample request

PUT https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Network/locations/eastus/providers/Microsoft.Quota/quotas/MinPublicIpInterNetworkPrefixLength?api-version=2025-09-01

{
  "properties": {
    "name": {
      "value": "MinPublicIpInterNetworkPrefixLength"
    },
    "limit": {
      "limitObjectType": "LimitValue",
      "value": 10
    },
    "resourceType": "MinPublicIpInterNetworkPrefixLength"
  }
}

Sample response

location: https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Network/locations/eastus/providers/Microsoft.Quota/quotaRequests/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2023-02-01
{
  "name": "2B5C8515-37D8-4B6A-879B-CD641A2CF605",
  "type": "Microsoft.Quota/quotas",
  "id": "/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Network/locations/eastus/providers/Microsoft.Quota/quotaRequests/2B5C8515-37D8-4B6A-879B-CD641A2CF605",
  "properties": {
    "name": {
      "value": "MinPublicIpInterNetworkPrefixLength"
    },
    "limit": {
      "limitObjectType": "LimitValue",
      "value": 10
    },
    "resourceType": "MinPublicIpInterNetworkPrefixLength"
  }
}
Retry-After: 30
location: https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Network/locations/eastus/providers/Microsoft.Quota/operationsStatus/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2023-02-01

Quotas_PutRequest_ForNetwork_StandardSkuPublicIpAddressesResource

Sample request

PUT https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Network/locations/eastus/providers/Microsoft.Quota/quotas/StandardSkuPublicIpAddresses?api-version=2025-09-01

{
  "properties": {
    "name": {
      "value": "StandardSkuPublicIpAddresses"
    },
    "limit": {
      "limitObjectType": "LimitValue",
      "value": 10
    },
    "resourceType": "PublicIpAddresses"
  }
}

Sample response

location: https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Network/locations/eastus/providers/Microsoft.Quota/quotaRequest/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2023-02-01
{
  "name": "2B5C8515-37D8-4B6A-879B-CD641A2CF605",
  "type": "Microsoft.Quota/quotas",
  "id": "/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Network/locations/eastus/providers/Microsoft.Quota/quotaRequests/2B5C8515-37D8-4B6A-879B-CD641A2CF605",
  "properties": {
    "name": {
      "value": "StandardSkuPublicIpAddresses"
    },
    "limit": {
      "limitObjectType": "LimitValue",
      "value": 10
    },
    "resourceType": "PublicIpAddresses"
  }
}
Retry-After: 30
location: https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Network/locations/eastus/providers/Microsoft.Quota/operationsStatus/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2023-02-01

Quotas_Request_ForMachineLearningServices_LowPriorityResource

Sample request

PUT https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.MachineLearningServices/locations/eastus/providers/Microsoft.Quota/quotas/TotalLowPriorityCores?api-version=2025-09-01

{
  "properties": {
    "name": {
      "value": "TotalLowPriorityCores"
    },
    "limit": {
      "limitObjectType": "LimitValue",
      "value": 10
    },
    "resourceType": "lowPriority"
  }
}

Sample response

location: https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Compute/locations/eastus/providers/Microsoft.Quota/quotaRequests/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2023-02-01
{
  "name": "TotalLowPriorityCores",
  "type": "Microsoft.Quota/quotas",
  "id": "/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.MachineLearningServices/locations/eastus/providers/Microsoft.Quota/quotas/TotalLowPriorityCores",
  "properties": {
    "name": {
      "value": "TotalLowPriorityCores"
    },
    "limit": {
      "limitObjectType": "LimitValue",
      "value": 10
    },
    "resourceType": "lowPriority"
  }
}
Retry-After: 30
location: https://management.azure.com/subscriptions/D7EC67B3-7657-4966-BFFC-41EFD36BAAB3/providers/Microsoft.Compute/locations/eastus/providers/Microsoft.Quota/operationsStatus/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2023-02-01

Definitions

Name Description
createdByType

The type of identity that created the resource.

CurrentQuotaLimitBase

Quota limit.

ExceptionResponse

Error.

LimitObject

The resource quota limit value.

LimitType

The limit object type.

QuotaLimitTypes

The quota or usages limit types.

QuotaProperties

Quota properties for the specified resource.

ResourceName

Name of the resource provided by the resource Provider. When requesting quota, use this property name.

ServiceError

API error details.

ServiceErrorDetail

Error details.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CurrentQuotaLimitBase

Quota limit.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

QuotaProperties

Quota properties for the specified resource, based on the API called, Quotas or Usages.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ExceptionResponse

Error.

Name Type Description
error

ServiceError

API error details.

LimitObject

The resource quota limit value.

Name Type Description
limitObjectType string:

LimitValue

The limit object type.

limitType

QuotaLimitTypes

The quota or usages limit types.

value

integer (int32)

The quota/limit value

LimitType

The limit object type.

Value Description
LimitValue

QuotaLimitTypes

The quota or usages limit types.

Value Description
Independent
Shared

QuotaProperties

Quota properties for the specified resource.

Name Type Description
isQuotaApplicable

boolean

States if quota can be requested for this resource.

limit LimitJsonObject:

LimitObject

Resource quota limit properties.

name

ResourceName

Resource name provided by the resource provider. Use this property name when requesting quota.

properties

management.azure.com.quota.quota.createorupdate

Additional properties for the specific resource provider.

quotaPeriod

string

The time period over which the quota usage values are summarized. For example: *P1D (per one day) *PT1M (per one minute) *PT1S (per one second). This parameter is optional because, for some resources like compute, the period is irrelevant.

resourceType

string

The name of the resource type. Optional field.

unit

string

The quota units, such as Count and Bytes. When requesting quota, use the unit value returned in the GET response in the request body of your PUT operation.

ResourceName

Name of the resource provided by the resource Provider. When requesting quota, use this property name.

Name Type Description
localizedValue

string

Resource display name.

value

string

Resource name.

ServiceError

API error details.

Name Type Description
code

string

Error code.

details

ServiceErrorDetail[]

List of error details.

message

string

Error message.

ServiceErrorDetail

Error details.

Name Type Description
code

string

Error code.

message

string

Error message.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.